Subject: Re: can connect to sshd on linux but not on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "Harig, Mark A." <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 May 2002 18:44:06 +0200

Mark schrieb:

> 1. Have you checked the file/directory permissions on all three
> machines?: 

>    1) the Win2K machine that is running sshd

It is a NT$ Server where SSHD is running on.

>    2) your machine that is attempting to connect to the Win2K machine

I fixed all the permission on my W2K workstation.

>    3) your collegue's machine that is attempting to connect to the Win2K
> machine.

Hmmm, he uses an NT4 and PuTTY to connect the Linux box and since I
reported that using only publickey auth isn't working yet he didn't
tried it recently.  I will ask him tomorrow.  BTW, it is also not
possible to connect with PuTTY (with PuTTY keys which is also working
well to the Linux box, see below).

> 2. You might want to check /etc/sshd_config to see if StrictModes is set
> to yes.

StrictModes no

> 3. Check your /etc/passwd entries on machines 2) and 3), above.  Do your
> entries on these machines match your entries in /etc/passwd on 1)?  To
> be sure, copy /etc/passwd from 1) to 2) and 3) (with a different file
> name during the copying) and cut&paste your passwd entry from machine 1)
> to the /etc/passwd on machines 2) and 3).

Ah, do they need to match?
Why?  Anyway my entries are matching.
And I can login at the unix box and they aren't matching there.

With PuTTY:
login as: gerrit
Sent username "gerrit"
Trying public key authentication.
No passphrase required.
Couldn't load private key from C:\cygwin\home\gerrit\.ssh\putty-dsa-key.
[email-masked]'s password:

And password auth fails because it is disabled.

login as: gerrit
Authenticating with public key "[email-masked]"
Passphrase for key "[email-masked]":
Last login: Tue May 14 17:36:16 2002 from domain.de
Have a lot of fun...
sh: /usr/X11R6/bin/xauth: No such file or directory

gerrit@linux ~

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/